package com.neusoft.smart.pos.trade.persistent.mapper;

import com.neusoft.smart.pos.trade.persistent.domain.BillSettlementTask;
import com.neusoft.smart.pos.trade.persistent.domain.BillSettlementTaskExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BillSettlementTaskMapper {
    int countByExample(BillSettlementTaskExample example);

    int deleteByExample(BillSettlementTaskExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BillSettlementTask record);

    int insertSelective(BillSettlementTask record);

    List<BillSettlementTask> selectByExample(BillSettlementTaskExample example);

    BillSettlementTask selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BillSettlementTask record, @Param("example") BillSettlementTaskExample example);

    int updateByExample(@Param("record") BillSettlementTask record, @Param("example") BillSettlementTaskExample example);

    int updateByPrimaryKeySelective(BillSettlementTask record);

    int updateByPrimaryKey(BillSettlementTask record);

    void batchInsert(@Param("items") List<BillSettlementTask> items);
}